﻿Public Class Form1
    Private Declare Function MBegin Lib "pstopdf.dll" () As Integer
    Private Declare Function MAddFiles Lib "pstopdf.dll" (ByVal id As Integer, ByVal infile As String) As Integer
    Private Declare Function MConvert Lib "pstopdf.dll" (ByVal id As Integer, ByVal infile As String, ByVal output As String) As Integer
    Private Declare Function MConvertAll Lib "pstopdf.dll" (ByVal id As Integer, ByVal outfile As String) As Integer

    Private Declare Function MEncrypt Lib "pstopdf.dll" (ByVal id As Integer, ByVal userpassword As String, ByVal ownerpassword As String,
                                                          ByVal encryptlevel As Integer, ByVal printing As Integer, ByVal copying As Integer,
                                                          ByVal changing As Integer, ByVal adding As Integer) As Integer

    Private Declare Function MInformation Lib "pstopdf.dll" (ByVal id As Integer, ByVal title As String, ByVal subject As String, ByVal author As String,
                                                         ByVal keywords As String, ByVal creator As String, ByVal producer As String) As Integer

    Private Declare Function MWatermark Lib "pstopdf.dll" (ByVal id As Integer, ByVal text As String, ByVal fsize As Integer, ByVal fcolor As Integer,
                                                           ByVal position As Integer, ByVal angle As Integer, ByVal xoff As Integer, ByVal yoff As Integer, ByVal background As Integer) As Integer

    Private Declare Function MEnd Lib "pstopdf.dll" (ByVal id As Integer) As Integer





    Private Sub Button1_Click(sender As System.Object, e As System.EventArgs) Handles Button1.Click
        Dim id As Integer
        Dim level As Integer
        Dim printing As Integer
        Dim copying As Integer
        Dim changing As Integer
        Dim adding As Integer

        id = MBegin()
        If (id > 0) Then
            level = 40
            printing = 1
            copying = 1
            changing = 0
            adding = 0
            'Set PDF Encrypt
            MEncrypt(id, "password", "password2", level, printing, copying, changing, adding)

            'Add files
            MAddFiles(id, "test.ps")
            MAddFiles(id, "test2.ps")

            'Combine all files into one pdf file
            MConvertAll(id, "combine.pdf")
            MEnd(id)
        End If

        MsgBox("Convert finished!")
    End Sub

    Private Sub Button2_Click(sender As System.Object, e As System.EventArgs) Handles Button2.Click
        Dim id As Integer
        Dim fsize As Integer
        Dim fcolor As Integer
        Dim position As Integer
        Dim angle As Integer
        Dim xoff As Integer
        Dim yoff As Integer
        Dim background As Integer

        id = MBegin()
        If (id > 0) Then
            'Set PDF Information
            MInformation(id, "title", "subject", "author", "keywords", "creator", "producer")

            MConvert(id, "test.ps", "test.pdf")
            MEnd(id)
        End If


        id = MBegin()
        If (id > 0) Then
            fsize = 16
            fcolor = 255 'red
            position = 2 'Top-Center
            angle = 0
            xoff = 0
            yoff = 0
            background = 1
            MWatermark(id, "Watermark", fsize, fcolor, position, angle, xoff, yoff, background)

            MConvert(id, "test2.ps", "test2.pdf")
            MEnd(id)
        End If

        MsgBox("Convert finished!")
    End Sub
End Class
